problemi bluetooth con bluez

Pagina 1 di 6 1 2 3 4 5 6 ultimo
Visualizzazione dei risultati da 1 a 10 su 56
  1. #1
    gibibyte L'avatar di andreaea
    Registrato
    Feb 2011
    Messaggi
    852
    configurazione

    Predefinito problemi bluetooth con bluez

    ciao a tutti
    ho un problema con un modulo RFCOMM.
    Il mio pc ha installato Voyage MPD (Debian).
    Dovendo usare una chiavetta bluetooth ho installato bluez
    codice:
    apt-get install bluez
    l'installazione va a buon fine, poi alla fine ricevo un messaggio di "warninng":
    codice:
    [ ....] Starting bluetooth: bluetoothd rfcommCan't open RFCOMM control socket: Protocol not supported
    allora faccio una prova:
    codice:
    modprobe rfcomm
    che mi restituisce:
    FATAL: Module rfcomm not found.

    faccio un altro tentativo:
    codice:
    apt-get install rfcomm
    ed ottengo:
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    E: unable to locate package rfcomm



    per favore potreste aiutarmi?
    sono un utente molto inesperto riguardo linux e non ce ne vengo fuori
    grazie!

  2. #2
    Super Moderatore L'avatar di frakka
    Registrato
    May 2001
    Località
    Casalecchio di Reno (Bo)
    Età
    38
    Messaggi
    22,071
    configurazione

    Predefinito

    Il bluetooth può essere un pò fastidioso...
    Modello esatto di dongle?

    Da terminale manda anche un:

    codice:
    lspci
    e posta il risultato.

    rfcomm non sembra essere un pacchetto installabile ma nella mia installazione di debian il comando "modprobe rfcomm" funziona senza neppure aver installato il supporto bluetooth... Deve essere un problema specifico della distro.
    codice:
    root@server:/home/matteo# apt-cache search rfcomm
    bluez-hcidump - Analyses Bluetooth HCI packets
    libnet-bluetooth-perl - Perl Bluetooth interface
    libmultisync-plugin-irmc-bluetooth - Adds Bluetooth support to the IrMC plugin
    python-lightblue - cross-platform Bluetooth API for Python
    Ma oltre a "bluez" ti ha installato anche il pacchetto "bluetooth"?
    Ultima modifica di frakka : 01-05-2013 a 02:01


    Questa è la storia di 4 persone chiamate Ognuno, Qualcuno, Ciascuno e Nessuno. C'era un lavoro importante da fare e Ognuno era sicuro che Qualcuno lo avrebbe fatto. Ciascuno poteva farlo, ma Nessuno lo fece, Qualcuno si arrabbiò perché era il lavoro di Ognuno. Ognuno pensò che Ciascuno potesse farlo, ma Nessuno capì che Ognuno l'avrebbe fatto. Finì che Ognuno incolpò Qualcuno perché Nessuno fece ciò che Ciascuno avrebbe potuto fare.

  3. #3
    gibibyte L'avatar di andreaea
    Registrato
    Feb 2011
    Messaggi
    852
    configurazione

    Predefinito

    ciao frakka
    il modello del dongle è il Digicom Wireless Nanon Dongle Usb Wave 150 Nano (questo il sito del produttore), sulla scatola c'è scritto che supporta linux

    rfcomm non sembra essere un pacchetto installabile
    si credo anche io che sia così

    Ma oltre a "bluez" ti ha installato anche il pacchetto "bluetooth"?
    lo ho provato ad installare ma non cambia nulla, ottengo sempre lo stesso "warning":
    [ ....] Starting bluetooth: bluetoothd rfcommCan't open RFCOMM control socket: Protocol not supported

    questo il risultato del comando
    codice:
    lspci
    problemi bluetooth con bluez-1.jpg
    Ultima modifica di andreaea : 01-05-2013 a 09:25

  4. #4
    gibibyte L'avatar di andreaea
    Registrato
    Feb 2011
    Messaggi
    852
    configurazione

    Predefinito

    nel frattempo spulciando su internet ho trovato questo Issue 170 - remuco - Crash when setting up Bluetooth - "error: (93, 'Protocol not supported')" - Wireless remote control for Linux media players - Google Project Hosting
    l'utente ha il mio stesso problema e se non ho letto male dice che il kernel è sprovvisto del modulo RFCOMM ma in qualche modo è riuscito a bypassare il problema.
    Ho verificato sul mio pc il file /base/module/remuco/net.py che l'autore dice di aver corretto nelle varie "issue" di aggiornamento per bypassare il problema: il mio è aggiornato in modo corretto (ho installato la versione successiva di quella installata dall'utente che aveva quel problema).
    Però il problema sussiste nonstante il file sia aggiornato e corretto.
    Mi potreste fare il favore di dare un'occhiata e dirmi se riuscite a capire qualcosa più di me, perchè a questo punto non so più che pesci pigliare!
    Grazie!

    Intanto ho scritto anche all'utente e spero mi risponda.
    Ultima modifica di andreaea : 01-05-2013 a 10:19

  5. #5
    Super Moderatore L'avatar di frakka
    Registrato
    May 2001
    Località
    Casalecchio di Reno (Bo)
    Età
    38
    Messaggi
    22,071
    configurazione

    Predefinito

    Avevo letto ieri sera del fatto che quell'errore indichi il mancato supporto da parte del kernel del modulo rfcomm.
    Ma erano tutti messaggi vecchi e la mia debian lo supporta senza particolari problemi quindi è probabile che questo supporto sia stato rimosso dalla tua distro anche se mi sembra piuttosto strano.

    Ti suggerisco un tentativo anche se non sono sicuro sia la strada giusta.
    Installa "modconf" (apt-get install modconf) e lancialo (ovviamente come root o con sudo).

    Scorri la lista fino a selezionare "kernel/net/bluetooth/rfcomm" e premi invio.



    Dovresti trovarti qualcosa del genere:



    Se a fianco di rfcomm c'è un "+" il supporto è già installato nel kernel e quindi il problema è un altro. Se invece c'è un "-" aggiungi il supporto al kernel (selezionando la riga di rfcomm e premendo "Invio") e vedi se così funziona.
    Non l'ho mai fatto quindi non sò cosa ti aspetta dopo.


    Questa è la storia di 4 persone chiamate Ognuno, Qualcuno, Ciascuno e Nessuno. C'era un lavoro importante da fare e Ognuno era sicuro che Qualcuno lo avrebbe fatto. Ciascuno poteva farlo, ma Nessuno lo fece, Qualcuno si arrabbiò perché era il lavoro di Ognuno. Ognuno pensò che Ciascuno potesse farlo, ma Nessuno capì che Ognuno l'avrebbe fatto. Finì che Ognuno incolpò Qualcuno perché Nessuno fece ciò che Ciascuno avrebbe potuto fare.

  6. #6
    gibibyte L'avatar di andreaea
    Registrato
    Feb 2011
    Messaggi
    852
    configurazione

    Predefinito

    codice:
    apt-get install modconf

    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Package modconf is not available, but is referred to by another package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source

    E: Package "modconf" has no installation candidate


    sto andando giù di testa...

    Ultima modifica di andreaea : 01-05-2013 a 12:30

  7. #7
    Super Moderatore L'avatar di frakka
    Registrato
    May 2001
    Località
    Casalecchio di Reno (Bo)
    Età
    38
    Messaggi
    22,071
    configurazione

    Predefinito

    Aggiungi questa riga nel file "/etc/apt/sources.list" (usa il comando "nano /etc/apt/sources.list" per aprire il file in un editor di testo e la combinazione Ctrl+x per salvare e uscire):

    deb http://ftp.it.debian.org/debian/ stable main contrib non-free
    Salvato il file, lancia "apt-get update" e poi "apt-get install modconf"

    Non fare "apt-get upgrade" perchè potrebbe succedere un macello.


    P.S:
    Se la tua distro non ha neppure "nano" puoi usare "vi" ma è un editor molto astruso per chi non è avvezzo. Prova prima a lanciare il comando
    codice:
    apt-get install nano
    e, se proprio non funziona, proviamo col vi


    Questa è la storia di 4 persone chiamate Ognuno, Qualcuno, Ciascuno e Nessuno. C'era un lavoro importante da fare e Ognuno era sicuro che Qualcuno lo avrebbe fatto. Ciascuno poteva farlo, ma Nessuno lo fece, Qualcuno si arrabbiò perché era il lavoro di Ognuno. Ognuno pensò che Ciascuno potesse farlo, ma Nessuno capì che Ognuno l'avrebbe fatto. Finì che Ognuno incolpò Qualcuno perché Nessuno fece ciò che Ciascuno avrebbe potuto fare.

  8. #8
    gibibyte L'avatar di andreaea
    Registrato
    Feb 2011
    Messaggi
    852
    configurazione

    Predefinito

    ciao
    fatto tutto come da istruzioni..
    nano ce lo avevo già (e non Silvio )

    modificato il file inserendo la stringa deb http://ftp.it.debian.org/debian stable main contrib non-free
    installato modconf
    codice:
    apt-get install modconf
    lanciato modconf
    codice:
    modconf
    ma sembra che la lista sia vuota :

    problemi bluetooth con bluez-1.jpg

    perchè come puoi vedere dall'immagine non c'è nessun elenco ma solamente le due opzioni Ok e CANCEL
    credo che sia dovuto al fatto che Voyage è una distro derivata da Debian ma ridotta all'osso per il solo uso riproduzione audio

    altri consigli?
    Ultima modifica di andreaea : 01-05-2013 a 13:37

  9. #9
    Super Moderatore L'avatar di frakka
    Registrato
    May 2001
    Località
    Casalecchio di Reno (Bo)
    Età
    38
    Messaggi
    22,071
    configurazione

    Predefinito

    Sì, lo credo anche io ma così si esagera...

    Che sia proprio vuota mi pare strano, qualche modulo anche quella distro lo deve per forza avere. Probabilmente mancano solo gli strumenti di sviluppo (o i pacchetti source) necessari per popolare quell'elenco.
    Vediamo se passa tHeGoOd, che è decisamente più preparato di me, con una soluzione veloce altrimenti temo che rimanga solo la soluzione difficile...


    Questa è la storia di 4 persone chiamate Ognuno, Qualcuno, Ciascuno e Nessuno. C'era un lavoro importante da fare e Ognuno era sicuro che Qualcuno lo avrebbe fatto. Ciascuno poteva farlo, ma Nessuno lo fece, Qualcuno si arrabbiò perché era il lavoro di Ognuno. Ognuno pensò che Ciascuno potesse farlo, ma Nessuno capì che Ognuno l'avrebbe fatto. Finì che Ognuno incolpò Qualcuno perché Nessuno fece ciò che Ciascuno avrebbe potuto fare.

  10. #10
    gibibyte L'avatar di andreaea
    Registrato
    Feb 2011
    Messaggi
    852
    configurazione

    Predefinito

    se con "pacchetti source" intendi i files per sviluppare credo proprio che non ci siano perchè da qualche parte leggevo che se si desiderano i files sorgenti si deve scaricare un altro tipo di release, non quella che ho installato io

    per soluzione difficile intendi per caso ricompilare il kernel?
    io sono disposto a tutto per far funzionare 'sta roba, ormai è (quasi) una questione di principio, però vorrei cercare (nei limiti del possibile) di aggiungere meno "ROBA" possibile alla distro, perchè non vorrei che l'appensantirla andasse poi a discapito della qualità sonora

    comunque intanto grazie per l'aiuto! è stato molto apprezzato!

    attendo news!

Pagina 1 di 6 1 2 3 4 5 6 ultimo

Informazioni Thread

Users Browsing this Thread

Ci sono attualmente 1 utenti che stanno visualizzando questa discussione. (0 utenti e 1 ospiti)

Regole d'invio

  • Non puoi inserire discussioni
  • Non puoi inserire repliche
  • Non puoi inserire allegati
  • Non puoi modificare i tuoi messaggi
  •  
nexthardware.com - © 2002-2018

Search Engine Optimization by vBSEO 3.6.1